<?php

include_once "Enigme.php";

class Partie
{
    private string $idPartie;
    private DateTime $datePartie;
    private array $listeEnigme;

    /**
     * @param string $idPartie
     * @param array $datePartie
     */
    public function __construct(string $idPartie, array $listeEnigme)
    {
        $this->idPartie = $idPartie;
        $this->datePartie = new DateTime();
        $this->$listeEnigme = $listeEnigme;
    }

    /**
     * @return string
     */
    public function getIdPartie(): string
    {
        return $this->idPartie;
    }

    /**
     * @param string $idPartie
     */
    public function setIdPartie(string $idPartie): void
    {
        $this->idPartie = $idPartie;
    }

    /**
     * @return array
     */
    public function getDatePartie(): dateTime
    {
        return $this->datePartie;
    }

    /**
     * @param array $datePartie
     */
    public function setDatePartie(dateTime $datePartie): void
    {
        $this->datePartie = $datePartie;
    }

    /**
     * @param array $listeEnigme
     */

    public function getListeEnigme(): array
    {
        return $this->listeEnigme;
    }
    public function setListeEnigme(array $listeEnigme): void
    {
        $this->listeEnigme = $listeEnigme;
    }
}